| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
GaudiKernel.ProcessJobOptions.ConsoleHandler Class Reference
Inheritance diagram for GaudiKernel.ProcessJobOptions.ConsoleHandler:
[legend]
Collaboration diagram for GaudiKernel.ProcessJobOptions.ConsoleHandler:
[legend]

## Public Member Functions
def | __init__ (self, stream=None, prefix=None, with_time=False)
def | setPrefix (self, prefix)
def | printOn (self, step=1, force=False)
def | printOff (self, step=1)
def | disable (self, allowed=logging.WARNING)
def | enable (self, allowed=logging.WARNING)

## Private Attributes
| _filter
| _formatter

## Detailed Description

Definition at line 67 of file ProcessJobOptions.py.

## Constructor & Destructor Documentation

def GaudiKernel.ProcessJobOptions.ConsoleHandler.__init__ | ( |  | self,
|  |  | stream = `None`,
|  |  | prefix = `None`,
|  |  | with_time = `False`
| ) |  |

Definition at line 68 of file ProcessJobOptions.py.

68 def __init__(self, stream=None, prefix=None, with_time=False):
69 if stream is None:
70 stream = sys.stdout
71 logging.StreamHandler.__init__(self, stream)
72 if prefix is None:
73 prefix = "# "
74 self._filter = LogFilter(_log.name)
75 self._formatter = LogFormatter(prefix=prefix, with_time=with_time)
76 self.setFormatter(self._formatter)
77 self.addFilter(self._filter)
78
GaudiKernel.ProcessJobOptions.ConsoleHandler.__init__
def __init__(self, stream=None, prefix=None, with_time=False)
Definition: ProcessJobOptions.py:68
GaudiKernel.ProcessJobOptions.LogFilter
Definition: ProcessJobOptions.py:28
GaudiKernel.ProcessJobOptions.LogFormatter
Definition: ProcessJobOptions.py:10
GaudiKernel.ProcessJobOptions.ConsoleHandler._filter
_filter
Definition: ProcessJobOptions.py:74
GaudiKernel.ProcessJobOptions.ConsoleHandler._formatter
_formatter
Definition: ProcessJobOptions.py:75

## Member Function Documentation

def GaudiKernel.ProcessJobOptions.ConsoleHandler.disable | ( |  | self,
|  |  | allowed = `logging.WARNING`
| ) |  |

Definition at line 96 of file ProcessJobOptions.py.

96 def disable(self, allowed=logging.WARNING):
97 self._filter.disable(allowed)
98
GaudiKernel.ProcessJobOptions.ConsoleHandler.disable
def disable(self, allowed=logging.WARNING)
Definition: ProcessJobOptions.py:96

def GaudiKernel.ProcessJobOptions.ConsoleHandler.enable | ( |  | self,
|  |  | allowed = `logging.WARNING`
| ) |  |

Definition at line 99 of file ProcessJobOptions.py.

99 def enable(self, allowed=logging.WARNING):
100 self._filter.enable(allowed)
101
102
GaudiKernel.ProcessJobOptions.ConsoleHandler.enable
def enable(self, allowed=logging.WARNING)
Definition: ProcessJobOptions.py:99

def GaudiKernel.ProcessJobOptions.ConsoleHandler.printOff | ( |  | self,
|  |  | step = `1`
| ) |  |

    Increase the printing_level of 'step' units. ( >0 means no print)

Definition at line 90 of file ProcessJobOptions.py.

90 def printOff(self, step=1):
91 """
92 Increase the printing_level of 'step' units. ( >0 means no print)
93 """
94 self._filter.printOff(step)
95
GaudiKernel.ProcessJobOptions.ConsoleHandler.printOff
def printOff(self, step=1)
Definition: ProcessJobOptions.py:90

def GaudiKernel.ProcessJobOptions.ConsoleHandler.printOn | ( |  | self,
|  |  | step = `1`,
|  |  | force = `False`
| ) |  |

    Decrease the printing_level of 'step' units. ( >0 means no print)
    The level cannot go below 0, unless the force flag is set to True.
    A negative value of the threshold disables subsequent "PrintOff"s.

Definition at line 82 of file ProcessJobOptions.py.

82 def printOn(self, step=1, force=False):
83 """
84 Decrease the printing_level of 'step' units. ( >0 means no print)
85 The level cannot go below 0, unless the force flag is set to True.
86 A negative value of the threshold disables subsequent "PrintOff"s.
87 """
88 self._filter.printOn(step, force)
89
GaudiKernel.ProcessJobOptions.ConsoleHandler.printOn
def printOn(self, step=1, force=False)
Definition: ProcessJobOptions.py:82

def GaudiKernel.ProcessJobOptions.ConsoleHandler.setPrefix | ( |  | self,
|  |  | prefix
| ) |  |

Definition at line 79 of file ProcessJobOptions.py.

79 def setPrefix(self, prefix):
80 self._formatter.prefix = prefix
81
GaudiKernel.ProcessJobOptions.ConsoleHandler.setPrefix
def setPrefix(self, prefix)
Definition: ProcessJobOptions.py:79

## Member Data Documentation

GaudiKernel.ProcessJobOptions.ConsoleHandler._filter
| private

Definition at line 74 of file ProcessJobOptions.py.

GaudiKernel.ProcessJobOptions.ConsoleHandler._formatter
| private

Definition at line 75 of file ProcessJobOptions.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/ProcessJobOptions.py